import '../../stencil.core';
import { ComponentDidLoad } from '../../stencil.core';
import { SidemenuPosition } from '../../enums/sidemenu-position.enum';
export declare class EdelSidemenuComponent implements ComponentDidLoad {
    active: boolean;
    position: SidemenuPosition;
    host: HTMLElement;
    render(): JSX.Element;
    hostData(): {
        class: string;
    };
    componentDidLoad(): void;
    private shouldHaveClass;
}
